php-nette-component-model - Nette Component Model

Distribution: CentOS 5
Repository: Les RPM de Remi i386
Package name: php-nette-component-model
Package version: 2.2.4
Package release: 2.el5.remi
Package architecture: noarch
Package type: rpm
Installed size: 24.27 KB
Download size: 11.65 KB
Official Mirror:
Components are the foundation of reusable code. They make your work easier and allow you to profit from community work. Components are wonderful. Nette Framework introduces several classes and interfaces for all these types of components. Object inheritance allows us to have a hierarchic structure of classes like in real world. We can create new classes by extending. These extended classes are descendants of the original class and inherit its parameters and methods. Extended class can add its own parameters and methods to the inherited ones. To use this library, you just have to add, in your project: require_once '/usr/share/php/Nette/ComponentModel/autoload.php';


  • php-composer(nette/component-model) = 2.2.4
  • php-nette-component-model = 2.2.4-2.el5.remi


    Source package: php-nette-component-model-2.2.4-2.el5.remi.src.rpm

    Install Howto

    1. Download the latest remi-release rpm from
    2. Install remi-release rpm:
      # rpm -Uvh remi-release*rpm
    3. Install php-nette-component-model rpm package:
      # yum --enablerepo=remi install php-nette-component-model


    • /usr/share/doc/php-nette-component-model-2.2.4/composer.json
    • /usr/share/doc/php-nette-component-model-2.2.4/
    • /usr/share/doc/php-nette-component-model-2.2.4/
    • /usr/share/php/Nette/ComponentModel/Component.php
    • /usr/share/php/Nette/ComponentModel/Container.php
    • /usr/share/php/Nette/ComponentModel/IComponent.php
    • /usr/share/php/Nette/ComponentModel/IContainer.php
    • /usr/share/php/Nette/ComponentModel/RecursiveComponentIterator.php
    • /usr/share/php/Nette/ComponentModel/autoload.php


    2015-11-03 - Remi Collet <> - 2.2.4-2 - fix package description and summary

    2015-10-20 - Remi Collet <> - 2.2.4-1 - initial package